package com.yami.shop.seckill.comment.Enums;

import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * 秒杀状态枚举类型
 */
@Getter
@AllArgsConstructor
public enum  SeckillEnum {
    /**    失效        */
    INVALID(0,"失效"),

    /**    正常        */
    NORMAL(1,"正常"),

    /**    违规下架    */
    OFFLINE(2,"违规下架"),

    /**    等待审核    */
    WAIT_AUDIT(3,"等待审核"),
    ;
    private int value;
    private String desc;

}
